Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast_UDP_Event_Handler Class Reference

Implement an Adapter for the ACE_RMCast_IO_UDP class. More...

`#include <RMCast_UDP_Event_Handler.h>`

Inheritance diagram for ACE_RMCast_UDP_Event_Handler:

[legend]
Collaboration diagram for ACE_RMCast_UDP_Event_Handler:

[legend]
List of all members.

## Public Methods
| ACE_RMCast_UDP_Event_Handler (ACE_RMCast_IO_UDP *io_udp)
| Constructor, save io_udp as the Adaptee in the Adapter pattern. More...
| ~ACE_RMCast_UDP_Event_Handler (void)
| Destructor. More...
virtual ACE_HANDLE | get_handle (void) const
| Documented in ACE_Event_Handler class. More...
virtual int | handle_input (ACE_HANDLE fd=ACE_INVALID_HANDLE)
| Documented in ACE_Event_Handler class. More...
virtual int | handle_timeout (const ACE_Time_Value &current_time, const void *act=0)
| Documented in ACE_Event_Handler class. More...
## Private Attributes
ACE_RMCast_IO_UDP * | io_udp_
| The adaptee. More...

## Detailed Description

Implement an Adapter for the ACE_RMCast_IO_UDP class.

Applications may wish to use the ACE_Reactor to demultiplex I/O events for an ACE_RMCast_IO_UDP object. However other application may choose to make ACE_RMCast_IO_UDP active, or they may dedicate their own threads for its events. To avoid couplin ACE_RMCast_IO_UDP with the Reactor we don't make it derived from ACE_Event_Handler or any other class in the Reactor framework, instead, this simple Adapter can forward the Reactor messages to an ACE_RMCast_IO_UDP object.

## Constructor & Destructor Documentation

ACE_INLINE ACE_RMCast_UDP_Event_Handler::ACE_RMCast_UDP_Event_Handler | ( | ACE_RMCast_IO_UDP * | io | ) |

| Constructor, save io_udp as the Adaptee in the Adapter pattern.

ACE_RMCast_UDP_Event_Handler::~ACE_RMCast_UDP_Event_Handler | ( | void |  | ) |

| Destructor. Notice that this class does not own the ACE_RMCast_IO_UDP adaptee, so it does not destroy it.

## Member Function Documentation

ACE_HANDLE ACE_RMCast_UDP_Event_Handler::get_handle | ( | void |  | ) | const`[virtual]`

| Documented in ACE_Event_Handler class. Reimplemented from ACE_Event_Handler.

int ACE_RMCast_UDP_Event_Handler::handle_input | ( | ACE_HANDLE | h = ACE_INVALID_HANDLE | ) | `[virtual]`

| Documented in ACE_Event_Handler class. Reimplemented from ACE_Event_Handler.

int ACE_RMCast_UDP_Event_Handler::handle_timeout | ( | const ACE_Time_Value & | current_time,
|  | const void * | act = 0
| ) | `[virtual]`

| Documented in ACE_Event_Handler class. Reimplemented from ACE_Event_Handler.

## Member Data Documentation

ACE_RMCast_IO_UDP* ACE_RMCast_UDP_Event_Handler::io_udp_`[private]`

| The adaptee.

The documentation for this class was generated from the following files:

- RMCast_UDP_Event_Handler.h
- RMCast_UDP_Event_Handler.cpp
- RMCast_UDP_Event_Handler.i